package org.springblade.flow.engine.enums;

/**
 * @author LoveMyOrange
 * @create 2022-01-20 20:58
 */
public enum ProcessNodeTypeEnums {
    UserTask("userTask","用户任务"),
    ServiceTask("serviceTask", "服务任务"),
    ReceiveTask("receiveTask", "接收任务(定时器)"),
    StartEvent("startEvent", "开始节点"),
    EndEvent("endEvent", "结束节点"),
    ExclusiveGateway("exclusiveGateway", "排他网关(系统自动根据条件处理)"),
    InclusiveGateway("inclusiveGateway", "包容网关"),
    ParallelGateway("parallelGateway", "并行网关(fork--join)"),
    CallActivity("callActivity", "子流程");


    private String nodeType;
    private String nodeName;

    ProcessNodeTypeEnums(String nodeType, String nodeName) {
        this.nodeType = nodeType;
        this.nodeName = nodeName;
    }

    ProcessNodeTypeEnums() {
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }
}
